Bug 56629 - libraries in rawhide readline package are messed up
libraries in rawhide readline package are messed up
Product: Red Hat Raw Hide
Classification: Retired
Component: readline (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-11-22 10:46 EST by Jonathan Kamens
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-25 10:17:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-11-22 10:46:06 EST
After installing readline library from Rawhide (4.2a-1):

root@jik:/usr/lib!67# rpm --verify readline
....L...   /usr/lib/libhistory.so.4
....L...   /usr/lib/libreadline.so.4

The links in the package point to libhistory.so.4.2a and
libreadline.so.4.2a, but those files don't exist in the package. 
Furthermore, the files libhistory.so.4.2.old and libreadline.so.4.2.old
*do* exist in the package, even though they probably shouldn't, and that's
what the links end up pointing at after you run "ldconfig".
Comment 1 Sammy 2001-11-24 09:39:39 EST
There is also a file .so.42a (or .42a.so) so clearly something has
broken in spec file.
Comment 2 Sammy 2001-11-25 10:17:49 EST
Or could be related to bug 56656 the rpmp-compress (?) bug... of this is
so this bug is getting very dengerous!
Comment 3 Bernhard Rosenkraenzer 2001-11-27 10:09:00 EST
Fixed in 4.2a-2

Note You need to log in before you can comment on or make changes to this bug.